MAX44009(4)

NAME
max44009 - driver for MAX44009 Ambient Light Sensor

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device max44009
device iicbus

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    max44009_load="YES"

DESCRIPTION
The max44009 driver reports illuminance data from MAX44009 Ambient Light Sensor.

The max44009 driver reports data via sysctl(8) entry in the device's node in the sysctl(8) tree:

illuminance
    The illuminance, in lux units.

On an FDT(4) based system the following properties must be set:

compatible
    Must be set to "maxim,max44009".

reg The I2C address of max44009 which can be either 0x4a or 0x4b.

SEE ALSO
fdt(4), iicbus(4), sysctl(8)

HISTORY
The max44009 driver and this manual page was written by Andriy Gapon <avg@FreeBSD.org>.

BUGS
The max44009 driver does not support illuminance thresholds and the corresponding interrupt.